rb_compile_option_struct Struct Reference

`#include <iseq.h>`

## Data Fields

int | inline_const_cache
int | peephole_optimization
int | tailcall_optimization
int | specialized_instruction
int | operands_unification
int | instructions_unification
int | stack_caching
int | trace_instruction
int | debug_level

## Detailed Description

Definition at line 34 of file iseq.h.

## Field Documentation

int rb_compile_option_struct::debug_level

Definition at line 43 of file iseq.h.

int rb_compile_option_struct::inline_const_cache

Definition at line 35 of file iseq.h.

Referenced by iseq_compile_each().

int rb_compile_option_struct::instructions_unification

Definition at line 40 of file iseq.h.

Referenced by iseq_setup().

int rb_compile_option_struct::operands_unification

Definition at line 39 of file iseq.h.

Referenced by iseq_optimize().

int rb_compile_option_struct::peephole_optimization

Definition at line 36 of file iseq.h.

Referenced by iseq_optimize().

int rb_compile_option_struct::specialized_instruction

Definition at line 38 of file iseq.h.

Referenced by iseq_compile_each(), and iseq_optimize().

int rb_compile_option_struct::stack_caching

Definition at line 41 of file iseq.h.

Referenced by iseq_setup().

int rb_compile_option_struct::tailcall_optimization

Definition at line 37 of file iseq.h.

Referenced by iseq_compile_each(), and iseq_optimize().

int rb_compile_option_struct::trace_instruction

Definition at line 42 of file iseq.h.

The documentation for this struct was generated from the following file:

- iseq.h